[3.1.1-1] QuickSubmit doesn't work Error 500

ojs3
Tags: #<Tag:0x00007f1277dd5f28>

#1

Hi, everyone

After upgrade to 3.1.1-1 , I installed QuickSubmit for OJS 3.1.1 and i have an issue with QuickSubmit plugin. it’s doesn’t work with HTTP Error 500 when i tried to use it (from tools>import/export > QuickSubmit Plugin: One-step submission plugin)

Do you have any suggestion? ,please help. @asmecher

Thank you.

and this is php error log

[Fri Jun 08 21:39:25.361632 2018] [:error] [pid 3060:tid 1736] [client 184.22.210.10:57396] PHP Warning: require_once(C:\Apache2429\htdocs\ojs3101/lib/pkp/plugins/metadata/nlm30/filter/Nlm30CitationSchemaCitationAdapter.inc.php): failed to open stream: No such file or directory in C:\Apache2429\htdocs\ojs3101\lib\pkp\includes\functions.inc.php on line 25
[Fri Jun 08 21:39:25.361632 2018] [:error] [pid 3060:tid 1736] [client 184.22.210.10:57396] PHP Fatal error: require_once(): Failed opening required ‘C:\Apache2429\htdocs\ojs3101/lib/pkp/plugins/metadata/nlm30/filter/Nlm30CitationSchemaCitationAdapter.inc.php’ (include_path=’.;C:\Apache2429\htdocs\ojs3101/classes;C:\Apache2429\htdocs\ojs3101/pages;C:\Apache2429\htdocs\ojs3101/lib/pkp;C:\Apache2429\htdocs\ojs3101/lib/pkp/classes;C:\Apache2429\htdocs\ojs3101/lib/pkp/pages;C:\Apache2429\htdocs\ojs3101/lib/pkp/lib/adodb;C:\Apache2429\htdocs\ojs3101/lib/pkp/lib/phputf8;C:\Apache2429\htdocs\ojs3101/lib/pkp/lib/pqp/classes;C:\Apache2429\htdocs\ojs3101/lib/pkp/lib/smarty;C:\php\PEAR’) in C:\Apache2429\htdocs\ojs3101\lib\pkp\includes\functions.inc.php on line 25


[OJS 3.1.1-2] something on my DB still need nlm30?
#2

Hi @phasu,

Are you sure the upgrade worked correctly? If it did, you should have received a message confirming that the upgrade was successful. The upgrade process removes a few database entries that seem to be present in your database still.

Regards,
Alec Smecher
Public Knowledge Project Team


#3

Hi @phasu

It seems like these two SQL statements were not executed correctly/fully successfully for you: https://github.com/pkp/ojs/blob/ojs-3_1_1-2/dbscripts/xml/upgrade/3.1.1_update.xml#L17-L29. I.e. there still seem to be some entries in your DB tables filters, filter_settings, and filter_groups that point to nlm30 filters.

What DB do you use, MySQL?

Could you try to execute them manually on your DB? – You should use just those appropriate for your DB driver (mysql, mysqli or postgresql).
Or could you first do the following SQL to check:
select * from filter_groups where symbolic IN ('citation=>nlm30', 'isbn=>nlm30-element-citation', 'nlm30-article-xml=>nlm23-article-xml', 'nlm30-element-citation=>isbn', 'nlm30-element-citation=>nlm30-element-citation', 'nlm30-element-citation=>nlm30-xml', 'nlm30-element-citation=>plaintext', 'nlm30=>citation', 'plaintext=>nlm30-element-citation', 'submission=>nlm23-article-xml', 'submission=>nlm30-article-xml', 'submission=>reference-list')
Or could you search in those three databases (probably in the table filters) after Nlm30CitationSchemaCitationAdapter ?

But, as Alec said, it is also crucial that the upgrade went successfully, without any warnings/errors…

Best,
Bozana


#4

Hi , @asmecher
Yes, i m sure. the system done confirmation and showed me a release note same with every time.


Hi, @bozana
I checked my 3.1.1_update.xml , it seem like correct statement .

Yes, I use MySQL.

This is the checking result from your statements, seem like my DB still have something about nlm30. ,right?

my work around is copy nlm30 directory from an old version and paste it in the new one. it works.

next time, if i upgrade version, i’ll try to manual delete data following the statement in https://github.com/pkp/ojs/blob/ojs-3_1_1-2/dbscripts/xml/upgrade/3.1.1_update.xml#L17-L29 and i’ll let you know a result.

Thank you both of you for kindness support.


#5

Hi @phasu,

I’m not sure why the upgrade wouldn’t have done this, but going forward the best solution will be to remove those entries from your database (rather than copying the older code into your OJS).

Regards,
Alec Smecher
Public Knowledge Project Team